Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357254 - [abrt] kwin-wayland: QQmlBinding::write(QQmlPropertyData const&, QV4::Value const&, bool, QFlags<QQmlPropertyPrivate::WriteFlag>)(): kwin_wayland killed by SIGSEGV
Summary: [abrt] kwin-wayland: QQmlBinding::write(QQmlPropertyData const&, QV4::Value c...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kwin
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Vrátil
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:79df880485c22ef34d53cb9b343...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-17 09:10 UTC by Christian Stadelmann
Modified: 2017-08-08 15:39 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:39:25 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-07-17 09:10 UTC, Christian Stadelmann
no flags Details
File: core_backtrace (deleted)
2016-07-17 09:10 UTC, Christian Stadelmann
no flags Details
File: dso_list (deleted)
2016-07-17 09:10 UTC, Christian Stadelmann
no flags Details
File: exploitable (deleted)
2016-07-17 09:10 UTC, Christian Stadelmann
no flags Details
File: limits (deleted)
2016-07-17 09:10 UTC, Christian Stadelmann
no flags Details
File: namespaces (deleted)
2016-07-17 09:10 UTC, Christian Stadelmann
no flags Details
File: proc_pid_status (deleted)
2016-07-17 09:10 UTC, Christian Stadelmann
no flags Details


Links
System ID Priority Status Summary Last Updated
KDE Software Compilation 361236 None None None 2016-07-22 17:04:31 UTC

Description Christian Stadelmann 2016-07-17 09:10:14 UTC
Description of problem:
I was running a kde wayland session when this crash happened.

Version-Release number of selected component:
kwin-wayland-5.7.1-3.fc24

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        /usr/bin/kwin_wayland --xwayland --libinput --exit-with-session=/usr/libexec/startplasma
crash_function: QQmlBinding::write(QQmlPropertyData const&, QV4::Value const&, bool, QFlags<QQmlPropertyPrivate::WriteFlag>)
executable:     /usr/bin/kwin_wayland
kernel:         4.6.4-301.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp

Comment 1 Christian Stadelmann 2016-07-17 09:10:21 UTC
Created attachment 1180705 [details]
File: backtrace

Comment 2 Christian Stadelmann 2016-07-17 09:10:23 UTC
Created attachment 1180706 [details]
File: core_backtrace

Comment 3 Christian Stadelmann 2016-07-17 09:10:25 UTC
Created attachment 1180707 [details]
File: dso_list

Comment 4 Christian Stadelmann 2016-07-17 09:10:26 UTC
Created attachment 1180708 [details]
File: exploitable

Comment 5 Christian Stadelmann 2016-07-17 09:10:27 UTC
Created attachment 1180709 [details]
File: limits

Comment 6 Christian Stadelmann 2016-07-17 09:10:29 UTC
Created attachment 1180710 [details]
File: namespaces

Comment 7 Christian Stadelmann 2016-07-17 09:10:30 UTC
Created attachment 1180711 [details]
File: proc_pid_status

Comment 8 Rex Dieter 2016-07-22 17:04:32 UTC
Likely a dup of 
https://bugs.kde.org/show_bug.cgi?id=361236
and
https://bugreports.qt.io/browse/QTBUG-53452

Are you using a window decoration other than breeze?  If so, try switching back (to breeze).

Comment 9 Christian Stadelmann 2016-07-24 10:01:27 UTC
No, I had KDE configured to use breeze (dark) window decorations. I think this issue is related to running a wayland session though.

Comment 10 Fedora End Of Life 2017-07-25 21:50:50 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 11 Fedora End Of Life 2017-08-08 15:39:25 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.